Subject: RE: [Isis-wg] Further short CCAMP WG Last Call ondraft-ietf-ccamp-te-node-cap-03.txt

From: "Les Ginsberg \(ginsberg\)" <[email-masked]>
Date: Fri, 15 Dec 2006 10:22:44 -0800

1)The use of TLV and sub-TLV is not consistent throughout the document regarding IS-IS. For example, in the second and third paragraphs of Section 4.2:

   The IS-IS TE Node Capability Descriptor TLV is carried within an IS-
   IS CAPABILITY TLV which is defined in [OSPF-CAP].

   The format of the IS-IS TE Node Capability sub-TLV is the same as the 
   TLV format used by the Traffic Engineering Extensions to IS-IS 
   [RFC3784]. That is, the TLV is composed of 1 octet for the type, 1 
   octet specifying the TLV length and a value field.

"TLV" should be "sub-TLV" in all cases except when referring to the IS-IS CAPABILITY TLV.
Also [OSPF-CAP] should be [IS-IS-CAP]

Similar changes needed in Section 5.2 and some other places.

2)In Section 5.2:

   The TE Node Capability Descriptor TLV is OPTIONAL and MUST NOT appear 
   more than once in an ISIS Router Capability TLV. If a TE Node 
   Capability Descriptor TLV appears more than once in an ISIS 
   Capability TLV, only the first occurrence MUST be processed, other 
   occurrences MUST be ignored.

I would prefer that the second sentence be omitted - for reasons that have been discussed in the context of the PCE draft - I have repeated the relevant comments here:

<snip>
In cases where a TLV may move from one LSP fragment to another (for
example because of the addition of information which exceeds the
carrying capacity of the original LSP fragment) a router may have
multiple copies of the same TLV as a transient condition. It is
impossible to know which of the copies is newer and therefore impossible
to deterministically decide which is the first instance of a subTLV. So
it is better to leave the behavior in this case as undefined.
<end snip>

   Les

> -----Original Message-----
> From: Adrian Farrel [mailto:[email-masked]]
> Sent: Friday, December 15, 2006 3:33 AM
> To: LE ROUX Jean-Louis RD-CORE-LAN; [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: [Isis-wg] Further short CCAMP WG Last Call ondraft-ietf-ccamp-te-
> node-cap-03.txt
> 
> Hi,
> 
> Sorry, I fumbled this.
> 
> Jean-Louis made some significant changes after we completed the working
> group last call. He took on board the comments from CCAMP, ISIS and OSPF
> and
> made the changes that he describes below.
> 
> Since one of these changes is relatively substantial (the conflation of
> two
> bit-fields into one) I want to give everyone a chance to comment before we
> go forward to the ADs.
> 
> So, there is a one week last call running on the CCAMP mailing list until
> noon GMT 22nd December 2006.
> 
> Thanks,
> Adrian
> 
> ----- Original Message -----
> From: "LE ROUX Jean-Louis RD-CORE-LAN" <jeanlouis.leroux@orange-
> ftgroup.com>
> To: <[email-masked]>
> Sent: Wednesday, November 22, 2006 7:25 AM
> Subject: RE: I-D ACTION:draft-ietf-ccamp-te-node-cap-03.txt
> 
> 
> Hi all,
> 
> This new version accounts for comments received during the CCAMP ISIS and
> OSPF WG last call.
> 
> Here are the main changes:
> 
> -The data plane and control plane cap sub-TLVs have been removed. The
> capabilities are now carried directly with the TE Node Capability
> Descriptor
> TLV, and there is a single registry for both control and data plane
> capabilities.
> 
> -In section 5:
> "other occurences MUST be discarded" replaced by "other occurrences MUST
> be
> ignored"
> 
> -In section 6:
> "a router not supporting the TE Node Capability Descriptor TLV MUST just
> silently ignore the TLV"
> Replaced by: "a router not supporting the TE Node Capability Descriptor
> TLV
> will just silently ignore the TLV"
> 
> Regards,
> 
> JL
> 
> > -----Message d'origine-----
> > De : [email-masked]
> > [mailto:[email-masked]] De la part de
> > [email-masked]
> > Envoyé : mardi 21 novembre 2006 21:50
> > À : [email-masked]
> > Cc : [email-masked]
> > Objet : I-D ACTION:draft-ietf-ccamp-te-node-cap-03.txt
> >
> > A New Internet-Draft is available from the on-line
> > Internet-Drafts directories.
> > This draft is a work item of the Common Control and
> > Measurement Plane Working Group of the IETF.
> >
> > Title : IGP Routing Protocol Extensions for
> > Discovery of Traffic Engineering  Node Capabilities
> > Author(s) : J. Vasseur, et al.
> > Filename : draft-ietf-ccamp-te-node-cap-03.txt
> > Pages : 13
> > Date : 2006-11-21
> >
> > It is highly desired in several cases, to take into account Traffic
> >    Engineering (TE) node capabilities during Multi Protocol Label
> >    Switching (MPLS) and Generalized MPLS (GMPLS) Traffic Engineered
> >    Label Switched Path (TE-LSP)  selection, such as for instance the
> >    capability to act as a branch Label Switching Router (LSR) of a
> >    Point-To-MultiPoint (P2MP) LSP. This requires advertising these
> >    capabilities within the Interior Gateway Protocol (IGP). For that
> >    purpose, this document specifies Open Shortest Path First
> > (OSPF) and
> >    Intermediate System-Intermediate System (IS-IS) traffic
> > engineering
> >    extensions for the advertisement of control plane and data plane
> >    traffic engineering node capabilities.
> >
> > A URL for this Internet-Draft is:
> > http://www.ietf.org/internet-drafts/draft-ietf-ccamp-te-node-cap-03.txt
> 
> 
> 
> _______________________________________________
> Isis-wg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/isis-wg

_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg

---

From: "LE ROUX Jean-Louis RD-CORE-LAN" <[email-masked]>
Date: Mon, 18 Dec 2006 18:39:42 +0100

Hi Lee

We've just submitted v04 that accounts for your comments.

Thanks,

JL 

> De : Les Ginsberg (ginsberg) [mailto:[email-masked]] 
> Envoyé : vendredi 15 décembre 2006 19:23
> À : [email-masked]; LE ROUX Jean-Louis RD-CORE-LAN; 
> [email-masked]
> Cc : [email-masked]; [email-masked]
> Objet : RE: [Isis-wg] Further short CCAMP WG Last Call 
> ondraft-ietf-ccamp-te-node-cap-03.txt 
> 
> 1)The use of TLV and sub-TLV is not consistent throughout the 
> document regarding IS-IS. For example, in the second and 
> third paragraphs of Section 4.2:
> 
> I would prefer that the second sentence be omitted - for 
> reasons that have been discussed in the context of the PCE 
> draft - I have repeated the relevant comments here:
> 
> <snip>
> In cases where a TLV may move from one LSP fragment to 
> another (for example because of the addition of information 
> which exceeds the carrying capacity of the original LSP 
> fragment) a router may have multiple copies of the same TLV 
> as a transient condition. It is impossible to know which of 
> the copies is newer and therefore impossible to 
> deterministically decide which is the first instance of a 
> subTLV. So it is better to leave the behavior in this case as 
> undefined.
> <end snip>
> 
>    Les
> 
> 
> > Subject: [Isis-wg] Further short CCAMP WG Last Call 
> > ondraft-ietf-ccamp-te- node-cap-03.txt
> > 
> > Hi,
> > 
> > Sorry, I fumbled this.
> > 
> > Jean-Louis made some significant changes after we completed the 
> > working group last call. He took on board the comments from CCAMP, 
> > ISIS and OSPF and made the changes that he describes below.
> > 
> > Since one of these changes is relatively substantial (the 
> conflation 
> > of two bit-fields into one) I want to give everyone a chance to 
> > comment before we go forward to the ADs.
> > 
> > So, there is a one week last call running on the CCAMP mailing list 
> > until noon GMT 22nd December 2006.
> > 
> > Thanks,
> > Adrian
> > 
> > This new version accounts for comments received during the 
> CCAMP ISIS 
> > and OSPF WG last call.
> > 
> > Descriptor TLV, and there is a single registry for both control and 
> > data plane capabilities.
> > 
> > -In section 5:
> > "other occurences MUST be discarded" replaced by "other occurrences 
> > MUST be ignored"
> > 
> > -In section 6:
> > "a router not supporting the TE Node Capability Descriptor TLV MUST 
> > just silently ignore the TLV"
> > Replaced by: "a router not supporting the TE Node Capability 
> > Descriptor TLV will just silently ignore the TLV"
> > 
> > Regards,
> > 
> > JL
> > 
> > > [email-masked] Envoyé : mardi 21 novembre 2006 
> 21:50 À : 
> > > [email-masked] Cc : [email-masked] Objet : I-D 
> > > ACTION:draft-ietf-ccamp-te-node-cap-03.txt
> > >
> > > This draft is a work item of the Common Control and Measurement 
> > > Plane Working Group of the IETF.
> > >
> > > Title : IGP Routing Protocol Extensions for Discovery of Traffic 
> > > Engineering  Node Capabilities